Loading...
Searching...
No Matches
cxx::S_list< T, POLICY > Class Template Reference

Simple single-linked list. More...

`#include <slist>`

Inheritance diagram for cxx::S_list< T, POLICY >:
Collaboration diagram for cxx::S_list< T, POLICY >:

## Public Member Functions

void | add (T *e)
| Add an element to the front of the list.
void | push_front (T *e)
| Add an element to the front of the list.
T * | pop_front ()
| Remove and return the head element of the list.
Public Member Functions inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< T, S_list_item > >
bool | empty () const
| Check if the list is empty.
Value_type | front () const
| Return the first element in the list.
void | clear ()
| Remove all elements from the list.
Iterator | begin ()
| Return an iterator to the beginning of the list.
Const_iterator | end () const
| Return a const iterator to the end of the list.

## Additional Inherited Members

Static Public Member Functions inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< T, S_list_item > >
static Const_iterator | iter (Const_value_type c)
| Return a const iterator that begins at the given element.
Protected Attributes inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< T, S_list_item > >
Bits::Basic_list_policy< T, S_list_item >::Head_type | _f
| Pointer to front of the list.

## Detailed Description

template<typename T, typename POLICY = Bits::Basic_list_policy< T, S_list_item >>
class cxx::S_list< T, POLICY >

Simple single-linked list.

Template Parameters

  T | Type of elements saved in the list. Must inherit from cxx::S_list_item

Definition at line 40 of file slist.

## Member Function Documentation

## pop_front()

template<typename T, typename POLICY = Bits::Basic_list_policy< T, S_list_item >>

T * cxx::S_list< T, POLICY >::pop_front | ( |  | ) |

inline

Remove and return the head element of the list.

Precondition
  The list must not be empty or the behaviour will be undefined.

Definition at line 89 of file slist.

The documentation for this class was generated from the following file:

- l4/cxx/slist